#ifndef FUSEACTIONS_H
#define FUSEACTIONS_H

#include "fuse.h"

#define FSSIZE 10000000

extern unsigned char* tempfs;

void MapFS(int fd);
void UnmapFS(void);
void FormatFS(FileSystemStruct* fs);
void LoadFS(FileSystemStruct** fs);
void ListFS(FileSystemStruct* fs);
void AddFileToFS(FileSystemStruct* fs, char* fname);
void RemoveFileFromFS(FileSystemStruct* fs, char* fname);
void ExtractFileFromFS(FileSystemStruct* fs, char* fname);

#endif
